{% block Grille %}
    <div class="LGDataTablesCoche">
        <div id = "entityFormBaseGrille_DataTableInfos"></div>
        <table id="entityFormBaseGrille_DataTable_Etablissements" class="display" cellspacing="0" width="100%" >
            <thead>
                <tr id="entityFormBaseGrille_DataTableTitres"> <!-- iTable_Form_titres -->
                    {% block datatable_title %}
                        <th id="selectionner"><input name="actiBasesCompétences_ToggleAllCompétences_E" class="EFControl" value="1" id="select-all-E" type="checkbox" /></th>
                        <th id="iidEtablissement" style="display: none">Id</th>
                        <th id="cnom">Nom</th> 
                        <th id="capacité">Capacité</th>
                        <th id="iId_ActiBase" style="display: none">iId_ActiBase</th>
                    {% endblock %}
                </tr>
            </thead>
            {#<style>
                #formulaire_OngletIntervenants td{
                    padding-bottom: 4px !important;
                    padding-left: 10px !important;
                    padding-right: 10px !important;
                    padding-top: 4px !important;
                }
            </style>#}
            <tbody>
                {% block datatable_body %}
                    {% set iRow = 0 %}
                    {% for row in poListeEtablissements %}
                        <tr>
                            {% if(row.lcompetent is defined) %}
                                {% if(row.lcompetent == false) %}
                                    <td id ="row_{{ iRow|raw }}_selectionner" class="test"><input id='E' class="EFControl" type="checkbox" name="CocheE_{{ row.iid_res }}" value="{{ row.iid_res }}"><label hidden>0</label></td>
                                {% else %}
                                    <td id ="row_{{ iRow|raw }}_selectionner" class="test"><input id='E' class="EFControl" type="checkbox" name="CocheE_{{ row.iid_res }}" value="{{ row.iid_res }}" checked><label hidden>1</label></td>
                                {% endif %}
                                {% else %}
                                <td id="row_test"></td>
                            {% endif %}
                            <td id ="row_{{ iRow|raw }}_iidEtablissement" class="test" style="display: none" name="{{ row.iid_res }}"> {{ row.iid_res }} </td>
                            <td id ="row_{{ iRow|raw }}_cnom" class="test"> {{ row.cnom}} </td>
                            <td id ="row_{{ iRow|raw }}_capacité" class="test">auto</td>                        
                            <td id ="row_{{ iRow|raw }}_iid_actibase" class="test" style="display: none" name="{{ row.iid_actibase }}"> {{ row.iid_actibase}} </td>
                        </tr>
                        {% set iRow = iRow + 1%}
                    {% endfor %}
                {% endblock %}
            </tbody>
        </table>
        <div class='col-md-3'></div>
        <div id='Etablissements_Filter' class='col-md-3' style='padding-top: 0.755em;'></div>
    </div>
{% endblock %}

<script>

    $(document).ready(entityOngletSalles_DocumentReady);
    function entityOngletSalles_DocumentReady() {

        var lsNomEntité = "etablissements";
        tmp_onLGDataTableInitComplete = function (poLGDataTable) {};
        // Construire la datatable
        LGDataTable_initGrille("entityFormBaseGrille_DataTable_Etablissements", lsNomEntité, {}, tmp_onLGDataTableInitComplete);

        // Handle click on "Select all" control
        $('#select-all-E').on('click', function () {
            // Check/uncheck all checkboxes in the table
            actiBasesCompétences_ToggleAllCompétences('Etablissements', this);
        });

        // Handle click on checkbox to set state of "Select all" control
        $('#entityFormBaseGrille_DataTable_Etablissements tbody').on('change', 'input[type="checkbox"]', function () {
            // If checkbox is not checked
            actiBasesCompétences_ToggleCompétence('Etablissements', this);
        });
    }
</script>